{ config, pkgs, ... }:

let release = "nixos-21.05";

in {
  imports = [
    (builtins.fetchTarball {
      url =
        "https://gitlab.com/simple-nixos-mailserver/nixos-mailserver/-/archive/${release}/nixos-mailserver-${release}.tar.gz";
      sha256 = "1fwhb7a5v9c98nzhf3dyqf3a5ianqh7k50zizj8v5nmj3blxw4pi";
    })
  ];

  # Mail server configuration
  mailserver = {
    enable = true;
    fqdn = "mail.coace.duckdns.org";
    domains = [ "coace.duckdns.org" ];
    loginAccounts = {
      "admin@coace.duckdns.org" = {
        hashedPasswordFile = "/vault/mail/accounts/admin";
        aliases = [ "postmaster@coace.duckdns.org" ];
      };
    };
    localDnsResolver = false;
    certificateScheme = 3;
    mailDirectory = "/vault/mail/content";
    dkimKeyDirectory = "/vault/mail/dkim";
  };
}
